<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Modules|About Modules">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to run a module." /><title>Running a Module</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#06-modules/running-modules.html">Open topic with navigation</a>
        </p>
        <h2>Running a Module</h2>
        <ol data-mc-continue="true">
            <li value="1">From within a project, select <b class="UISelection">Modules &gt; Search</b>. </li>
        </ol>
        <ol data-mc-continue="true">
            <li value="2">Use the search engine to find a module. You can utilize the keywords to either narrow down your search or to find a specific module. For example, if you want to search for 
Windows exploits, you can search for <code class="usertype">platform:windows</code>, or if you want to search specifically for the ms08-067 exploit, you can search for <code class="usertype">path:ms08_067_netapi</code>. </li>
        </ol>
        <p>
            <img src="../Resources/Images/modules/modules-search-field_666x118.png" title="Modules Search" alt="Modules Search" style="width: 666;height: 118;" />
        </p>
        <ol data-mc-continue="true">
            <li value="3">After you find the module that you want to use, click on the module name to open the configuration page. </li>
        </ol>
        <p>
            <img src="../Resources/Images/modules/modules-results.png" title="Module Results" alt="Module Results" />
        </p>
        <ol data-mc-continue="true">
            <li value="4">
At a minimum, you should define the IP&#160;addresses of the target systems that you want to include or exclude from the exploit. If you do not specify any target addresses, <span class="VariablesProductName">Metasploit Pro</span> includes all hosts that are in the project. 
</li>
        </ol>
        <p>
            <img src="../Resources/Images/modules/modules-configuration-page.png" title="Module Configuration Page" alt="Module Configuration Page" />
        </p>
        <ol data-mc-continue="true">
            <li value="5">Optionally, you can define any advanced options and evasion options that are available.   </li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>The options that are available vary between different modules. 
By default, each module is preconfigured with default settings that are appropriate for you to run against a target. The payloads will be preselected based on the intended target. For example, <span class="VariablesProductName">Metasploit Pro</span> will use Meterpreter for Windows targets and the command shell for Linux/UNIX targets. </p>
        <ol data-mc-continue="true">
            <li value="6">After you configure the options for the module, click the <b class="UISelection">Run Module</b> button to launch the module. </li>
        </ol>
    </body>
</html>